Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.server.core.model
Class ModuleArtifactAdapterDelegate

    java.lang.Object
      org.eclipse.wst.server.core.model.ModuleArtifactAdapterDelegate

    public abstract class ModuleArtifactAdapterDelegate

extends java.lang.Object

A module artifact adapter converts from some view's model object into a module artifact that is recognized by one or more server types.

This is the implementation of a moduleArtifactAdapter extension point.

This abstract class is intended to be extended only by clients to extend the `moduleArtifactAdapters` extension point.

Since:
  1.0

Constructor Summary
`ModuleArtifactAdapterDelegate()`

Method Summary
`abstract IModuleArtifact` | `getModuleArtifact(java.lang.Object obj)` Converts from an arbitrary object to an module artifact.
`IModuleArtifact[]` | `getModuleArtifacts(java.lang.Object obj)` Converts from an arbitrary object to an module artifact.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleArtifactAdapterDelegate

    public ModuleArtifactAdapterDelegate()

Method Detail

### getModuleArtifact

    public abstract IModuleArtifact getModuleArtifact(java.lang.Object obj)

  Converts from an arbitrary object to an module artifact.

  Parameters:
    `obj` - an arbitrary object from a view or editor
  Returns:
    an module artifact, or `null` if this adapter does not recognize or cannot adapt the object

### getModuleArtifacts

    public IModuleArtifact[] getModuleArtifacts(java.lang.Object obj)

  Converts from an arbitrary object to an module artifact.

  Parameters:
    `obj` - an arbitrary object from a view or editor
  Returns:
    an module artifact, or `null` if this adapter does not recognize or cannot adapt the object

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD